
Name:		sparklemedia
Version:	0.3
Release:	%mkrel 2
License:	GPLv2+
URL:	        http://kde-apps.org/content/show.php/SparkleMedia?content=109495
Group:		Graphical desktop/KDE4
Source0:	%name-%version.tar.gz
Summary:        %{name}- A Media player application for KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kde4-macros
BuildRequires:  kdelibs4-devel
BuildRequires:  qt4-devel
BuildRequires:  cmake
BuildRequires:  kdelibs4-devel
BuildRequires:  libgstreamer0.10_0.10-devel
BuildRequires:  libgstreamer-plugins-base0.10-devel
Requires:	libgstreamer-plugins-base0.10
Requires:	libgstreamer0.10_0.10
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1

%description
Media player-manager application for KDE4 using
GStreamer instead of KDE-Phonon.

%description -l de
Media-Player-Manager-Anwendung für KDE 4 mit
GStreamer anstelle von KDE-Phonon.

%description -l fr
Media-Player Manager demande d'aide de KDE4
GStreamer au lieu de kde-Phonon.

%description -l es
Media-Player Manager para la aplicación de KDE4 usando
GStreamer en vez de KDE-Phonon.

%description -l pl
Odtwarzacz multimedialny aplikacji przy użyciu menedżera KDE4
GStreamer zamiast KDE Phonon.

%description -l sr
Медиа плаыер-менаџер апликација за КДЕ4 коришћења
Уместо да посетите ову КДЕ-фонон.

%description -l nl
Media player-manager applicatie voor KDE4 met
GStreamer in plaats van KDE-Phonon.

%prep
%setup -q 

%build
%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build
%find_lang %{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%clean
rm -rf %buildroot


%files -f %{name}.lang
%defattr(-,root,root)
%_bindir/sparklemedia
%_libdir/kde4/libSparkleClassicUIPlugin.so
%_libdir/kde4/libSparkleUIPlugin.so
%_libdir/libSparkleMediaCore.so
%_datadir/applications/kde4/sparklemedia.desktop
%_datadir/icons/hicolor/128x128/actions/sparklemedia-gstreamer.png
%_datadir/icons/hicolor/128x128/apps/sparklemedia.png
%_datadir/icons/hicolor/16x16/actions/sparklemedia-gstreamer.png
%_datadir/icons/hicolor/16x16/apps/sparklemedia.png
%_datadir/icons/hicolor/22x22/actions/sparklemedia-gstreamer.png
%_datadir/icons/hicolor/22x22/apps/sparklemedia.png
%_datadir/icons/hicolor/32x32/actions/sparklemedia-gstreamer.png
%_datadir/icons/hicolor/32x32/apps/sparklemedia.png
%_datadir/icons/hicolor/48x48/actions/sparklemedia-gstreamer.png
%_datadir/icons/hicolor/48x48/apps/sparklemedia.png
%_datadir/icons/hicolor/64x64/actions/sparklemedia-gstreamer.png
%_datadir/icons/hicolor/64x64/apps/sparklemedia.png
%_datadir/kde4/services/sparkle-classic_ui_plugin.desktop
%_datadir/kde4/services/sparkle_ui_plugin.desktop
%_datadir/kde4/servicetypes/sparklemedia_userinterface_plugin.desktop

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Wed Jan 27 2010 Texstar <texstar at gmail.com> 0.3-1pclos2010
- 0.3

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 0.2-2pclos2010
- rebuild

* Wed Sep 08 2009 pcserver <pcserver at hushmail.com> 0.2-1pclos2009
- create 

